#ifndef FASTICAREADER_H_UNIVERSITY_OF_OREGON_NIC
#define FASTICAREADER_H_UNIVERSITY_OF_OREGON_NIC
#include "reader.h"
#include "nic_matrix.h"

#include "binary_matrix.h"
#include "binary_T_matrix.h"
#include "ascii_matrix.h"
#include "ascii_T_matrix.h"
#include <cstring>

bool read_validate(char * file_name);

class FastICAReader : public Reader 
{
public:

    double                  tolerance;
    int                     iterations;
    char                    contrast;
    char                    initialization_type;
    char                  * user_source;
    char                    user_type;
    char                    user_orient;
    int                     m_numRetries;

    FastICAReader( std::istream& inStream );

    void get_value();
    void load_user_init(nic_matrix* init_mat);
};

#endif
// FASTICAREADER_H_UNIVERSITY_OF_OREGON_NIC
