#ifndef FASTICASETTINGS_H_UNIVERSITY_OF_OREGON_NIC
#define FASTICASETTINGS_H_UNIVERSITY_OF_OREGON_NIC

#include <string>
#include "ContrastFunctions.h"
#include "MatrixReader.h"

struct FastICASettings
{
    enum InitializationType
    {
        IDENTITY,
        RANDOM,
        USER_SPECIFIED
    };

    double convergenceTolerance;
    int maximumIterations;
    ContrastFunctions::Type contrastFunction;
    InitializationType initializationType;
    std::string userInitializationFile;
    MatrixReader::Format userInitializationFileFormat;
    int maximumRetries;

};

#endif
// FASTICASETTINGS_H_UNIVERSITY_OF_OREGON_NIC
