#ifndef ICAOUTPUTREADER_H_UNIVERSITY_OF_OREGON_NIC
#define ICAOUTPUTREADER_H_UNIVERSITY_OF_OREGON_NIC

#include "reader.h"
#include <cstring>
#include <cctype>


class ICAOutputReader : public Reader 
{
public:
    char * output_name;
    bool monitor_conv;
    bool validate;
    char scr_wgh;
    char scr_mix;
    char scr_umx;
    char scr_q;
    char scr_lam;
    char scr_avg;
    char scr_cov;
    char scr_sph;
    char file_wgh;
    char file_mix;
    char file_umx;
    char file_q;
    char file_lam;
    char file_avg;
    char file_cov;
    char file_sph;
    char  m_binaryFileFormat;

    std::string    ICFileName;

    ICAOutputReader( std::istream& inStream ); 
    ~ICAOutputReader();

    void get_value();
};

#endif
// ICAOUTPUTREADER_H_UNIVERSITY_OF_OREGON_NIC
