#ifndef MPIWRAPPER
#define MPIWRAPPER

#ifdef __DISTRIBUTED

#ifdef USE_INTEL_MPICH
#include "mpi.h"
#define SEEK_SET 0
#endif

#ifdef USE_LAMMPI

#include "mpi.h"

#endif

#ifdef USE_MPICH2
//#undef SEEK_SET                                                               //
//#undef SEEK_CUR                                                               //
//#undef SEEK_END                                                               //

#include "mpi.h"
#endif

#endif
// __DISTRIBUTED

int getMPIRank();
int getMPISize();
void broadcastDataMPI( double* data, int length, int root );
void allreduceDataMPI( double* input, double* output, int length );
void initializeMPI( int argc, char** argv, int& rank, int& size );
void finalizeMPI();

#endif
