#ifndef NICFASTICA_H_UNIVERSITY_OF_OREGON_NIC
#define NICFASTICA_H_UNIVERSITY_OF_OREGON_NIC

#include "SimpleCLParser.h"
#include "MatrixReader.h"
#include "MatrixWriter.h"
#include "FastICASettings.h"

void setupParser( SimpleCLParser& parser, int rank );
MatrixReader::Format getInputFormat( SimpleCLParser& parser );
MatrixWriter::Format getOutputFormat( SimpleCLParser& parser );
void loadSettings( SimpleCLParser& parser, FastICASettings& settings );

#endif
// NICFASTICA_H_UNIVERSITY_OF_OREGON_NIC
