#ifndef SOBI_H_UNIVERSITY_OF_OREGON_NIC
#define SOBI_H_UNIVERSITY_OF_OREGON_NIC

#include "nic_matrix.h"

// dataMatrix: m x n
// tau: vector of time lags
// W: output estimate of the inverse of the mixing matrix
void computeSobi( nic_matrix& dataMatrix, int* tau, int& tauLength, nic_matrix& W );

// helper monkeys
void computeStdCov( nic_matrix& dataMatrix, int tau, nic_matrix& covX, 
    int first );
float frobeniusNorm( double* matrix, int size );
void computeRjd( nic_matrix& A, nic_matrix& W );

#endif
// SOBI_H_UNIVERSITY_OF_OREGON_NIC
