#ifndef ACSII_MATT_WRITER_CPP_UNIVERSITY_OF_OREGON_NIC
#define ACSII_MATT_WRITER_CPP_UNIVERSITY_OF_OREGON_NIC

#include "ascii_matT_writer.h"

ASCIIMatrixTWriter::ASCIIMatrixTWriter( 
    nic_matrix* mat, char* file_name, char space )
{
    double* data    = mat->data;
    int rows    = mat->rows;
    int columns = mat->columns;

    FILE* fh = fopen(file_name, "w");

    // write ASCII values columns-by-rows
    for (int i = 0; i < columns; i++) 
    {
      for (int j = 0; j < rows; j++) 
      {
	      fprintf(fh, "%lf%c", *data, space);
          ++data;
      }
      fprintf(fh, "\n");
    }

    fclose(fh);
}

#endif
// ACSII_MATT_WRITER_CPP_UNIVERSITY_OF_OREGON_NIC
