#ifndef MATRIXREADER_H_UNIVERSITY_OF_OREGON_NIC
#define MATRIXREADER_H_UNIVERSITY_OF_OREGON_NIC

#include <string>
#include "nic_matrix.h"

class MatrixReader
{
private:
    MatrixReader() {}

public:
    enum Format
    {
        BIG,
        LITTLE,
        NATIVE,
        TEXT
    };

    // returns true if successful
    static bool loadMatrix(
        nic_matrix& matrix, 
        Format format, 
        int rows, 
        int columns,
        const std::string& fileName );

};

#endif
// MATRIXREADER_H_UNIVERSITY_OF_OREGON_NIC
