#ifndef MATRIXWRITER_H_UNIVERSITY_OF_OREGON_NIC
#define MATRIXWRITER_H_UNIVERSITY_OF_OREGON_NIC

#include <string>
#include "nic_matrix.h"

class MatrixWriter
{
private:
    MatrixWriter() {}

public:
    enum Format
    {
        BIG,
        LITTLE,
        NATIVE,
        TEXT
    };

    static bool writeMatrix(
        nic_matrix& matrix,
        Format format,
        const std::string& fileName );
};

#endif
// MATRIXWRITER_H_UNIVERSITY_OF_OREGON_NIC
