#ifndef NICINFOMAX_H_UNIVERSITY_OF_OREGON_NIC
#define NICINFOMAX_H_UNIVERSITY_OF_OREGON_NIC

#include "SimpleCLParser.h"
#include "MatrixReader.h"
#include "MatrixWriter.h"
#include "InfomaxSettings.h"

void setupParser( SimpleCLParser& parser, int rank );
MatrixReader::Format getInputFormat( SimpleCLParser& parser );
MatrixWriter::Format getOutputFormat( SimpleCLParser& parser );
void loadSettings( SimpleCLParser& parser, InfomaxSettings& settings );

#endif
// NICINFOMAX_H_UNIVERSITY_OF_OREGON_NIC
