#ifndef BINARY_T_MATRIX_CPP_UNIVERSITY_OF_OREGON_NIC
#define BINARY_T_MATRIX_CPP_UNIVERSITY_OF_OREGON_NIC

#include "binary_T_matrix.h"

BinaryMatrixT::BinaryMatrixT( nic_matrix* mat, 
    char * file_name, bool store, int offset )
{
    data    = mat->data;
    rows    = mat->rows;
    columns = mat->columns;
    size    = mat->size;

    // read binary version
    FILE * fh = fopen (file_name, "rb");

    fseek( fh, offset * sizeof( double ), SEEK_SET );

    fread( data, sizeof( double ), rows*columns, fh );
    
    fclose( fh );

    assert( !store );
    
}

void 
BinaryMatrixT:: store_data(char * file_name) 
{
      int n = strlen(file_name);
      char * f_name = mangle_name(file_name, NULL, "bcoT_", NULL);

      FILE * fh = fopen(f_name, "wb");
      fwrite(data, size, sizeof(double), fh);
      fclose(fh);
}

#endif
// BINARY_T_MATRIX_CPP_UNIVERSITY_OF_OREGON_NIC
