#ifndef BINARY_MAT_WRITER_H_UNIVERSITY_OF_OREGON_NIC
#define BINARY_MAT_WRITER_H_UNIVERSITY_OF_OREGON_NIC

#include <iostream>
#include "nic_matrix.h"

class BinaryMatrixWriter
{
private:
    void swapDouble( double& val );
 public:
    typedef char            FileType;
    enum
    {
        c_fileType_binaryBigEndian = 'B',
        c_fileType_binaryLittleEndian = 'L',
        c_fileType_binaryNativeEndian = 'P'
    };

  BinaryMatrixWriter(nic_matrix* mat, const char * file_name, 
    int* shuffle, int* invVector, int rowcolshuffle, FileType fileType );
};

#endif
// BINARY_MAT_WRITER_H_UNIVERSITY_OF_OREGON_NIC
