#ifndef CENTER_DATA__UNIVERSITY_OF_OREGON_NIC
#define CENTER_DATA__UNIVERSITY_OF_OREGON_NIC

#include "center_data.h"

void center_data(nic_matrix* data, nic_vector* avg) 
{
    double* d_ptr = data->data;
    double* a_    = avg->data;
    double* a_ptr = NULL;
    int n_observations = data->columns;
    int n_channels = data->rows;

    // start shared memory block
    // unroll this loop

    for (int i = 0; i < n_observations; i++) 
    {
        d_ptr = data->data + (i * n_channels);
        a_ptr = a_;
        for (int j = 0; j < n_channels; j++) 
        {
            *d_ptr -= *a_ptr;
            ++d_ptr; 
            ++a_ptr;
        }
    }

    // end shared memory block
}

#endif
// CENTER_DATA__UNIVERSITY_OF_OREGON_NIC
