#ifndef SPHERING_MATRIX_H_UNIVERSITY_OF_OREGON_NIC
#define SPHERING_MATRIX_H_UNIVERSITY_OF_OREGON_NIC

#include "LAPACKWrapper.h"

#include <iostream>

#include <cmath>

#include "nic_matrix.h"
#include "nic_vector.h"

// this method assumes that the data has been centered
void computeSpheringMatrix( 
    nic_matrix* centeredData,  
    nic_matrix* spheringMatrix,
    bool useInfomax ); 

// this interface will be deprecated
void 
compute_sphering(nic_matrix* cov, nic_matrix* sph, 
			     nic_matrix* q, nic_vector* lambda,
			     bool useInfomaxSphering );

#endif
// SPHERING_MATRIX_H_UNIVERSITY_OF_OREGON_NIC
