#ifndef WHITEN_DATA_H_UNIVERSITY_OF_OREGON_NIC
#define WHITEN_DATA_H_UNIVERSITY_OF_OREGON_NIC

#include "binary_vec_writer.h"
#include "binary_mat_writer.h"
#include "ascii_vec_writer.h"
#include "ascii_mat_writer.h"
#include "nic_matrix.h"
#include "nic_vector.h"
#include <iostream>

void whiten(nic_matrix*, nic_matrix *);

void validate_whitening(nic_matrix*, nic_vector*,
			nic_matrix*, nic_matrix*,
			nic_matrix*, nic_vector*);

void whiten_data(nic_matrix* data, nic_vector * avg,
	    nic_matrix* cov, nic_matrix* q,
	    nic_matrix* sph, nic_vector* lambda,
	    bool compute_sph,
	    bool	useInfomaxSphering );


#ifdef DELETEME
void store_whitened_data( 
    nic_matrix* data, 
    const std::string& outputFilename );
#endif


#endif
// WHITEN_DATA_H_UNIVERSITY_OF_OREGON_NIC
